Subject: Re: [PATCH] Add IPv6 support to TCP SYN cookies

From: Andi Kleen <[email-masked]>
Date: Tue, 5 Feb 2008 16:55:58 +0100

On Mon, Feb 04, 2008 at 03:01:01PM -0800, Glenn Griffin wrote:
> Add IPv6 support to TCP SYN cookies.  This is written and tested against
> 2.6.24, and applies cleanly to linus' current HEAD (d2fc0b).  Unfortunately
> linus' HEAD breaks my sky2 card at the moment, so I'm unable to test against
> that.  I see no reason why it would be affected though.  Comments/suggestions
> are welcome.

Syncookies are discouraged these days. They disable too many 
valuable TCP features (window scaling, SACK) and even without them 
the kernel is usually strong enough to defend against syn floods
and systems have much more memory than they used to be.

So I don't think it makes much sense to add more code to it, sorry.

Besides you should really move it to the ipv6 module, right now the code
would be always compiled in even for ipv4 only kernels.

-Andi